- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# OgreVertexIndexData.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreHardwareVertexBuffer.h"`
`#include "OgreHardwareIndexBuffer.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
class | Ogre::VertexData
| Summary class collecting together vertex source information. More...
struct | Ogre::VertexData::HardwareAnimationData
| Struct used to hold hardware morph / pose vertex data information. More...
class | Ogre::IndexData
| Summary class collecting together index data source information. More...
class | Ogre::VertexCacheProfiler
| Vertex cache profiler. More...
## Typedefs
typedef std::vector < HardwareBuffer::Usage > | Ogre::BufferUsageList
| Define a list of usage flags.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:59 2008